## fltk1.3 1.3.2-1maemo6

=== FL/Makefile ===
#
# "$Id: Makefile.in 8864 2011-07-19 04:49:30Z greg.ercolano $"
#
# Header makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2010 by Bill Spitzak and others.
#
# This library is free software. Distribution and use rights are outlined in
# the file "COPYING" which should have been included with this file.  If this
# file is missing or damaged, see the license at:
#
#      http://www.fltk.org/COPYING.php
#
# Please report all bugs and problems on the following page:
#
#      http://www.fltk.org/str.php
#

include ../makeinclude

all:

clean:

depend:

install:
	echo "Installing include files in $(DESTDIR)$(includedir)..."
	$(RMDIR) $(DESTDIR)$(includedir)/FL
	$(INSTALL_DIR) $(DESTDIR)$(includedir)/FL
	for file in *.[hH]; do \
		$(INSTALL_DATA) $$file $(DESTDIR)$(includedir)/FL; \
	done
#	cd $(DESTDIR)$(includedir)/FL;\
#	for file in *.H; do\
#		$(RM) "`basename $$file H`h";\
#		$(LN) $$file "`basename $$file H`h";\
#	done
#	$(RM) $(DESTDIR)$(includedir)/FL/fl_file_chooser.H
#	$(LN) Fl_File_Chooser.H $(DESTDIR)$(includedir)/FL/fl_file_chooser.H
#	$(RM) $(DESTDIR)$(includedir)/FL/fl_file_chooser.h
#	$(LN) Fl_File_Chooser.H $(DESTDIR)$(includedir)/FL/fl_file_chooser.h
#	$(RM) $(DESTDIR)$(includedir)/Fl
#	$(LN) FL $(DESTDIR)$(includedir)/Fl

uninstall:
	echo "Uninstalling include files..."
	$(RMDIR) $(DESTDIR)$(includedir)/FL
#	$(RM) $(DESTDIR)$(includedir)/Fl


#
# End of "$Id: Makefile.in 8864 2011-07-19 04:49:30Z greg.ercolano $".
#

=== debian/changelog ===
fltk1.3 (1.3.2-1maemo6) unstable; urgency=low

  * Keep trying to satisfy autobuilder

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:05 +0200

fltk1.3 (1.3.2-1maemo5) unstable; urgency=low

  * New build

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:04 +0200

fltk1.3 (1.3.2-1maemo4) unstable; urgency=low

  * Fixed symbols

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:03 +0200

fltk1.3 (1.3.2-1maemo3) unstable; urgency=low

  * Fixed dh_shlibdeps

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:02 +0200

fltk1.3 (1.3.2-1maemo2) unstable; urgency=low

  * Fix depends

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:01 +0200

fltk1.3 (1.3.2-1maemo1) unstable; urgency=low

  * First maemo build.

 -- Xes <xes.maemo@gmail.com>  Thu, 05 Jun 2014 06:01:01 +0200

=== debian/control ===
Source: fltk1.3
Section: libs
Priority: optional
Maintainer: Xes <xes.maemo@gmail.com>
Build-Depends: debhelper, dpkg-dev, pkg-config, g++, imagemagick, libxinerama-dev, libasound2-dev [linux-any], libcairo2-dev, libjpeg62-dev, libpng12-dev, libx11-dev, libxext-dev, libxft-dev, libgl1-mesa-dev, libglu1-mesa-dev, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://www.fltk.org/
Vcs-Git: git://git.debian.org/users/ucko/fltk1.3.git
Vcs-Browser: http://git.debian.org/?p=users/ucko/fltk1.3.git;a=summary

Package: fluid
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fltk1.3-doc, libfltk1.3-dev
Description: Fast Light Toolkit - user interface designer
 This package provides Fluid, an interactive GUI designer for FLTK,
 allowing graphical development of FLTK-based user
 interfaces. It natively works with (textual) .fl files, but also
 includes rough support for reading .fd files produced by fdesign (in
 libforms-bin).
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk1.3-dev
Section: libdevel
Architecture: any
Depends: libfltk-cairo1.3 (= ${binary:Version}), libfltk-forms1.3 (= ${binary:Version}), libfltk-gl1.3 (= ${binary:Version}), libfltk-images1.3 (= ${binary:Version}), libfltk1.3 (= ${binary:Version}), libx11-dev, ${misc:Depends}
Recommends: fluid, libgl1-mesa-dev, libglu1-mesa-dev
Suggests: fltk1.3-doc, libcairo2-dev, libjpeg-dev, libpng-dev, libxext-dev, libxft-dev, libxinerama-dev, zlib1g-dev
Provides: libfltk-dev
Conflicts: libfltk-dev
Replaces: libfltk-dev
Description: Fast Light Toolkit - development files
 This package provides the files necessary for compiling programs
 that depend on FLTK.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk1.3-compat-headers
Section: libdevel
Architecture: all
Depends: libfltk1.3-dev, ${misc:Depends}
Description: Fast Light Toolkit - compatibility header symlinks
 This package provides header symlinks with .h rather than .H extensions for
 compatibility with some older code that relies on the lowercase-h names.

Package: libfltk1.3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fast Light Toolkit - main shared library
 This package contains the files necessary for running programs
 dynamically linked with FLTK.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk-cairo1.3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Fast Light Toolkit - Cairo rendering layer support
 This package contains the files necessary for running programs
 dynamically linked with FLTK's Cairo rendering layer bindings.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk-forms1.3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Fast Light Toolkit - Forms compatibility layer support
 This package contains the files necessary for running programs
 dynamically linked with FLTK's Forms compatibility layer.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk-gl1.3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Fast Light Toolkit - OpenGL rendering support
 This package contains the files necessary for running programs
 dynamically linked with FLTK's OpenGL rendering bindings.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk-images1.3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Fast Light Toolkit - image loading support
 This package contains the files necessary for running programs
 dynamically linked with FLTK's bindings to image-loading libraries.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: libfltk1.3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}
Recommends: gdb
Description: Fast Light Toolkit - shared libraries with debugging symbols
 This package is useful to provide a backtrace with symbol names in a
 debugger; this facilitates interpretation of core dumps, and aids in finding
 logic errors in programs using the libraries (or in the libraries themselves).
 .
 Non-programmers will likely have little use for this.
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: fltk1.3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Fast Light Toolkit - documentation
 This package provides documentation for FLTK, including a chapter on
 its user interface designer (fluid).
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

Package: fltk1.3-games
Section: games
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: fltk1.1-games
Replaces: fltk1.1-games
Description: Fast Light Toolkit - example games: checkers, sudoku
 This package contains the example games that accompany FLTK.
 Specifically, it contains the following two programs:
  - flblocks:   clear groups of adjacent blocks before they fill the screen;
  - flcheckers: classic board game, also known as draughts;
  - flsudoku:   Sudoku puzzle (place numbers in a grid).
 .
 The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
 toolkit originally based on libForms.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL = 1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

export CFLAGS 

XCFLAGS = -Wall -Wunused -Wno-format-y2k -fPIE -fno-strict-aliasing

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
libdir = /usr/lib/


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	dh_auto_configure -- CC="$(CC)" CXX="$(CXX)" --enable-shared --enable-cairo --enable-cp936 --libdir=$(libdir) $(shell DEB_BUILD_MAINT_OPTIONS=hardening=-all)
	mv fltk-config fltk-config.unhardened
	dh_auto_configure -- CC="$(CC)" CXX="$(CXX)" DSOFLAGS="$(filter-out -fPIE -pie,$(LDFLAGS))" --enable-shared --enable-cairo --enable-cp936 --with-links --libdir=$(libdir)
#	mv fltk.spec.saved fltk.spec
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	dh_auto_build -- OPTIM="$(CFLAGS) $(XCFLAGS)" STRIP=@: CAIROLIBS=-lcairo
#	-$(MAKE) -C documentation all html pdf
	$(MAKE) -C documentation all html
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

	# Add here commands to clean up after the build process.
	rm -rf build
	rm -f debian/*.symbols

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp prefix=/usr install
	mkdir -p debian/tmp/usr/games
	mkdir -p debian/tmp/usr/lib/fltk
	mkdir -p debian/tmp/usr/share/applications/hildon
	mkdir -p debian/tmp/usr/share/doc/fltk1.3-doc
	mkdir -p debian/tmp/usr/share/icons/hicolor/32x32/apps
	mkdir -p debian/tmp/usr/share/icons/hicolor/128x128/apps
	mkdir -p debian/tmp/usr/share/man/man6
	mkdir -p debian/tmp/usr/share/pixmaps
	
## fltk1.3-doc
#	cp documentation/latex/refman.pdf debian/tmp/usr/share/doc/fltk1.3-doc/fltk.pdf
## fltk1.3-games (installed by hand to be able to add fl prefixes.)
	for game in blocks checkers sudoku; do \
	    cp test/$$game debian/tmp/usr/games/fl$$game; \
	    sed -e 's,Exec=,&/usr/games/fl,; s,Icon=,&fl,; s,Name=,&FLTK ,' test/desktop/$$game.desktop > debian/tmp/usr/share/applications/hildon/fl$$game.desktop; \
	    cp test/desktop/$$game-32.png debian/tmp/usr/share/icons/hicolor/32x32/apps/fl$$game.png; \
	    cp test/desktop/$$game-128.png debian/tmp/usr/share/icons/hicolor/128x128/apps/fl$$game.png; \
	    sed -e '1s,^\.TH ,&fl,; 3s,^,fl,' documentation/src/$$game.man  > debian/tmp/usr/share/man/man6/fl$$game.6; \
	done
## fluid
	$(MAKE) -C fluid install-linux DESTDIR=$(CURDIR)/debian/tmp
	mv debian/tmp/usr/share/applications/fluid.desktop debian/tmp/usr/share/applications/hildon/fluid.desktop
	cp fluid/icons/fluid-32.xpm debian/tmp/usr/share/pixmaps
## libfltk1.3-devB
	cp debian/CMakeCache.txt debian/*.cmake debian/tmp/usr/lib/fltk
	for x in debian/*.cmake.in; do \
	    sed 's,@libdir@,$(libdir),g' $$x \
		> debian/tmp/usr/lib/fltk/`basename $$x .in`; \
	done
	install fltk-config.unhardened debian/tmp/usr/bin/fltk-config

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs CREDITS README
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package=libfltk1.3-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dpkg-gensymbols -plibfltk1.3 -Odebian/libfltk1.3.symbols
	dpkg-gensymbols -plibfltk-cairo1.3 -Odebian/libfltk-cairo1.3.symbols
	dpkg-gensymbols -plibfltk-forms1.3 -Odebian/libfltk-forms1.3.symbols
	dpkg-gensymbols -plibfltk-images1.3 -Odebian/libfltk-images1.3.symbols
	dpkg-gensymbols -plibfltk-gl1.3 -Odebian/libfltk-gl1.3.symbols
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
	maemo-optify
endif
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fltk1.3 1.3.3

=== CMakeLists.txt ===
#
# "$Id: CMakeLists.txt 10368 2014-10-09 16:03:56Z AlbrechtS $"
#
# Main CMakeLists.txt to build the FLTK project using CMake (www.cmake.org)
# Written by Michael Surette
#
# Copyright 1998-2014 by Bill Spitzak and others.
#
# This library is free software. Distribution and use rights are outlined in
# the file "COPYING" which should have been included with this file.  If this
# file is missing or damaged, see the license at:
#
#     http://www.fltk.org/COPYING.php
#
# Please report all bugs and problems on the following page:
#
#     http://www.fltk.org/str.php
#

# Prevent annoying warning under Cygwin; this must be before project().
# Remove when CMake >= 2.8.4 is required
set(CMAKE_LEGACY_CYGWIN_WIN32 0)

project(FLTK)
cmake_minimum_required(VERSION 2.6)

#######################################################################
# define some macros
#######################################################################
include(CMake/macros.cmake)

#######################################################################
# basic setup
#######################################################################
include(CMake/setup.cmake)

#######################################################################
# check for headers, libraries and functions
#######################################################################
include(CMake/resources.cmake)

#######################################################################
# options
#######################################################################
include(CMake/options.cmake)

#######################################################################
# final config and export
#######################################################################
include(CMake/export.cmake)

#######################################################################
# build examples - these have to be after fluid is built/imported
#######################################################################
if(OPTION_BUILD_EXAMPLES)
   add_subdirectory(test)
endif(OPTION_BUILD_EXAMPLES)

#######################################################################
# installation
#######################################################################
include(CMake/install.cmake)

=== Makefile ===
#
# "$Id: Makefile 10224 2014-08-01 20:56:09Z greg.ercolano $"
#
# Top-level makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2010 by Bill Spitzak and others.
#
# This library is free software. Distribution and use rights are outlined in
# the file "COPYING" which should have been included with this file.  If this
# file is missing or damaged, see the license at:
#
#      http://www.fltk.org/COPYING.php
#
# Please report all bugs and problems on the following page:
#
#      http://www.fltk.org/str.php
#

include makeinclude

DIRS = $(IMAGEDIRS) src $(CAIRODIR) fluid test documentation

all: makeinclude fltk-config
	for dir in $(DIRS); do\
		echo "=== making $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS)) || exit 1;\
	done

install: makeinclude
	-mkdir -p $(DESTDIR)$(bindir)
	$(RM) $(DESTDIR)$(bindir)/fltk-config
	$(INSTALL_SCRIPT) fltk-config $(DESTDIR)$(bindir)
	for dir in FL $(DIRS); do\
		echo "=== installing $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) install) || exit 1;\
	done

install-desktop: makeinclude
	cd documentation; $(MAKE) $(MFLAGS) $(INSTALL_DESKTOP)
	cd fluid; $(MAKE) $(MFLAGS) $(INSTALL_DESKTOP)
	cd test; $(MAKE) $(MFLAGS) $(INSTALL_DESKTOP)

uninstall: makeinclude
	$(RM) $(DESTDIR)$(bindir)/fltk-config
	for dir in FL $(DIRS); do\
		echo "=== uninstalling $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) uninstall) || exit 1;\
	done

uninstall-desktop: makeinclude
	cd documentation; $(MAKE) $(MFLAGS) $(UNINSTALL_DESKTOP)
	cd fluid; $(MAKE) $(MFLAGS) $(UNINSTALL_DESKTOP)
	cd test; $(MAKE) $(MFLAGS) $(UNINSTALL_DESKTOP)

depend: makeinclude
	for dir in $(DIRS); do\
		echo "=== making dependencies in $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) depend) || exit 1;\
	done

clean:
	-$(RM) core *.o
	for dir in examples $(DIRS); do\
		echo "=== cleaning $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) clean) || exit 1;\
	done

distclean: clean
	$(RM) config.h config.log config.status
	$(RM) fltk-config fltk.list makeinclude
	$(RM) fltk.spec
	$(RM) FL/Makefile
	$(RM) documentation/*.$(CAT1EXT)
	$(RM) documentation/*.$(CAT3EXT)
	$(RM) documentation/*.$(CAT6EXT)
	$(RM) documentation/fltk.ps
	$(RM) -r documentation/fltk.d
	for file in test/*.fl; do\
		$(RM) test/`basename $$file .fl`.cxx; \
		$(RM) test/`basename $$file .fl`.h; \
	done

fltk-config: configure configh.in fltk-config.in
	if test -f config.status; then \
		./config.status --recheck; \
		./config.status; \
	else \
		./configure; \
	fi
	touch config.h
	chmod +x fltk-config

makeinclude: configure configh.in makeinclude.in config.guess config.sub
	if test -f config.status; then \
		./config.status --recheck; \
		./config.status; \
	else \
		./configure; \
	fi
	touch config.h
	chmod +x fltk-config

configure: configure.in
	autoconf

config.guess config.sub:
	-automake --add-missing 2> /dev/null
	if [ ! -e config.sub   ]; then echo NOTE: Using frozen copy of config.sub;   cp misc/config.sub   . ; fi
	if [ ! -e config.guess ]; then echo NOTE: Using frozen copy of config.guess; cp misc/config.guess . ; fi

portable-dist:
	epm -v -s fltk.xpm fltk

native-dist:
	epm -v -f native fltk

etags:
	etags FL/*.H FL/*.h src/*.cxx src/*.c src/*.h src/xutf8/*.h src/xutf8/*.c cairo/*.cxx fluid/*.h fluid/*.cxx test/*.h test/*.cxx

#
# Run the clang.llvm.org static code analysis tool on the C sources.
# (at least checker-231 is required for scan-build to work this way)
#

.PHONY: clang clang-changes
clang:
	$(RM) -r clang
	scan-build -V -k -o `pwd`/clang $(MAKE) $(MFLAGS) clean all
clang-changes:
	scan-build -V -k -o `pwd`/clang $(MAKE) $(MFLAGS) all


#
# End of "$Id: Makefile 10224 2014-08-01 20:56:09Z greg.ercolano $".
#

=== fluid/CMakeLists.txt ===

set(CPPFILES
    CodeEditor.cxx
    Fl_Function_Type.cxx
    Fl_Group_Type.cxx
    Fl_Menu_Type.cxx
    Fl_Type.cxx
    Fl_Widget_Type.cxx
    Fl_Window_Type.cxx
    Fluid_Image.cxx
    about_panel.cxx
    align_widget.cxx
    alignment_panel.cxx
    code.cxx
    factory.cxx
    file.cxx
    fluid.cxx
    function_panel.cxx
    template_panel.cxx
    undo.cxx
    widget_panel.cxx
)

add_executable(fluid ${CPPFILES})
target_link_libraries(fluid fltk fltk_images fltk_forms)

# link in optional libraries
if(USE_XFT)
   target_link_libraries(fluid ${X11_Xft_LIB})
endif(USE_XFT)

if(HAVE_XINERAMA)
   target_link_libraries(fluid ${X11_Xinerama_LIB})
endif(HAVE_XINERAMA)

install(TARGETS fluid
    EXPORT FLTK-Targets
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
    )

=== test/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${FLTK_BINARY_DIR}/bin/examples)

#######################################################################
# audio libs for test apps
if(WIN32)
   set(AUDIOLIBS winmm)
elseif(APPLE)
   set(AUDIOLIBS "-framework CoreAudio")
elseif(HAVE_ALSA_ASOUNDLIB_H)
   set(AUDIOLIBS -lasound)
endif(WIN32)

#######################################################################
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  )

#######################################################################
CREATE_EXAMPLE(adjuster adjuster.cxx fltk)
CREATE_EXAMPLE(arc arc.cxx fltk)
CREATE_EXAMPLE(ask ask.cxx fltk)
CREATE_EXAMPLE(bitmap bitmap.cxx fltk)
CREATE_EXAMPLE(blocks blocks.cxx "fltk;${AUDIOLIBS}")
CREATE_EXAMPLE(boxtype boxtype.cxx fltk)
CREATE_EXAMPLE(browser browser.cxx fltk)
CREATE_EXAMPLE(button button.cxx fltk)
CREATE_EXAMPLE(buttons buttons.cxx fltk)
CREATE_EXAMPLE(checkers checkers.cxx fltk)
CREATE_EXAMPLE(clock clock.cxx fltk)
CREATE_EXAMPLE(colbrowser colbrowser.cxx "fltk;fltk_forms")
CREATE_EXAMPLE(color_chooser color_chooser.cxx fltk)
CREATE_EXAMPLE(cursor cursor.cxx fltk)
CREATE_EXAMPLE(curve curve.cxx fltk)
CREATE_EXAMPLE(demo demo.cxx "fltk;fltk_forms")
CREATE_EXAMPLE(device device.cxx fltk)
CREATE_EXAMPLE(doublebuffer doublebuffer.cxx fltk)
CREATE_EXAMPLE(editor editor.cxx fltk)
CREATE_EXAMPLE(fast_slow fast_slow.fl fltk)
CREATE_EXAMPLE(file_chooser file_chooser.cxx "fltk;fltk_images")
CREATE_EXAMPLE(fonts fonts.cxx fltk)
CREATE_EXAMPLE(forms forms.cxx "fltk;fltk_forms")
CREATE_EXAMPLE(hello hello.cxx fltk)
CREATE_EXAMPLE(help help.cxx "fltk;fltk_images")
CREATE_EXAMPLE(icon icon.cxx fltk)
CREATE_EXAMPLE(iconize iconize.cxx fltk)
CREATE_EXAMPLE(image image.cxx fltk)
CREATE_EXAMPLE(inactive inactive.fl fltk)
CREATE_EXAMPLE(input input.cxx fltk)
CREATE_EXAMPLE(input_choice input_choice.cxx fltk)
CREATE_EXAMPLE(keyboard "keyboard.cxx;keyboard_ui.fl" fltk)
CREATE_EXAMPLE(label label.cxx "fltk;fltk_forms")
CREATE_EXAMPLE(line_style line_style.cxx fltk)
CREATE_EXAMPLE(list_visuals list_visuals.cxx fltk)
CREATE_EXAMPLE(mandelbrot "mandelbrot_ui.fl;mandelbrot.cxx" fltk)
CREATE_EXAMPLE(menubar menubar.cxx fltk)
CREATE_EXAMPLE(message message.cxx fltk)
CREATE_EXAMPLE(minimum minimum.cxx fltk)
CREATE_EXAMPLE(native-filechooser native-filechooser.cxx "fltk;fltk_images")
CREATE_EXAMPLE(navigation navigation.cxx fltk)
CREATE_EXAMPLE(output output.cxx "fltk;fltk_forms")
CREATE_EXAMPLE(overlay overlay.cxx fltk)
CREATE_EXAMPLE(pack pack.cxx fltk)
CREATE_EXAMPLE(pixmap pixmap.cxx fltk)
CREATE_EXAMPLE(pixmap_browser pixmap_browser.cxx "fltk;fltk_images")
CREATE_EXAMPLE(preferences preferences.fl fltk)
CREATE_EXAMPLE(radio radio.fl fltk)
CREATE_EXAMPLE(resize resize.fl fltk)
CREATE_EXAMPLE(resizebox resizebox.cxx fltk)
CREATE_EXAMPLE(rotated_text rotated_text.cxx fltk)
CREATE_EXAMPLE(scroll scroll.cxx fltk)
CREATE_EXAMPLE(subwindow subwindow.cxx fltk)
CREATE_EXAMPLE(sudoku sudoku.cxx "fltk;fltk_images;${AUDIOLIBS}")
CREATE_EXAMPLE(symbols symbols.cxx fltk)
CREATE_EXAMPLE(tabs tabs.fl fltk)
CREATE_EXAMPLE(table table.cxx fltk)
CREATE_EXAMPLE(threads threads.cxx fltk)
CREATE_EXAMPLE(tile tile.cxx fltk)
CREATE_EXAMPLE(tiled_image tiled_image.cxx fltk)
CREATE_EXAMPLE(tree tree.fl fltk)
CREATE_EXAMPLE(twowin twowin.cxx fltk)
CREATE_EXAMPLE(utf8 utf8.cxx fltk)
CREATE_EXAMPLE(valuators valuators.fl fltk)
CREATE_EXAMPLE(unittests unittests.cxx fltk)
CREATE_EXAMPLE(windowfocus windowfocus.cxx fltk)

# OpenGL demos...
if(OPENGL_FOUND)
CREATE_EXAMPLE(CubeView "CubeMain.cxx;CubeView.cxx;CubeViewUI.fl" "fltk;fltk_gl")
CREATE_EXAMPLE(cube cube.cxx "fltk;fltk_gl;${OPENGL_LIBRARIES}")
CREATE_EXAMPLE(fractals "fractals.cxx;fracviewer.cxx" "fltk;fltk_gl")
CREATE_EXAMPLE(fullscreen fullscreen.cxx "fltk;fltk_gl")
CREATE_EXAMPLE(glpuzzle glpuzzle.cxx "fltk;fltk_gl;${OPENGL_LIBRARIES}")
CREATE_EXAMPLE(gl_overlay gl_overlay.cxx "fltk;fltk_gl;${OPENGL_LIBRARIES}")
CREATE_EXAMPLE(shape shape.cxx "fltk;fltk_gl;${OPENGL_LIBRARIES}")
endif(OPENGL_FOUND)

# Cairo demo
if(FLTK_HAVE_CAIRO)
   CREATE_EXAMPLE(cairo_test cairo_test.cxx "fltk;fltk_cairo")
endif(FLTK_HAVE_CAIRO)

=== debian/changelog ===
fltk1.3 (1.3.3-7) unstable; urgency=medium

  * debian/control: Drop versioned dpkg-dev build dependency, as even
    oldstable's version is sufficient.  (Closes: #811298.)
  * debian/copyright: Correct short license name for png/* (not built anyway).
  * debian/rules: Fix indep-only (-A) builds.  (Closes: #814434.)
  * debian/.gitignore: Ignore new {common,debhelper}-build-stamp files.
  * documentation/Makefile: Postprocess Doxygen LaTeX output to avoid
    breakage from attempting to use \hyperlink within \caption.
  * documentation/src/fltk-book.tex.in: Drop an occurrence of \\ that has
    become invalid with Doxygen 1.8.11.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 14 Feb 2016 22:51:01 -0500

fltk1.3 (1.3.3-6) unstable; urgency=medium

  * debian/control: Drop build dependency on imagemagick entirely.
  * debian/install: Stop installing XPM icons.
  * debian/rules:
    - Reinstate unhardened fltk-config more robustly.
      (Closes: #809711, #809825.)
    - Stop generating XPM icons, needed only for the retired .menu entries.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 04 Jan 2016 22:48:42 -0500

fltk1.3 (1.3.3-5) unstable; urgency=medium

  * debian/control: Split some build dependencies out into Build-Depends-Arch.
  * debian/rules:
    - Streamline indep-only (-A) builds to the extent possible (limited by the
      need to build and run fluid for the sake of some installed examples).
    - Invoke cmake -DOPTION_BUILD_EXAMPLES:BOOL=OFF to work around #809535.
  * debian/source/options: Rename back from local-options, per dgit.
  * debian/.gitignore: Unignore patches, per dgit.
  * debian/*.menu: Retire in favor of .desktop files, per #741573.
  * documentation/Makefile: Use the changelog date throughout, per
    https://wiki.debian.org/ReproducibleBuilds/TimestampsInPDFGeneratedByLaTeX
    plus an additional tweak to address the use of \today.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 31 Dec 2015 16:19:03 -0500

fltk1.3 (1.3.3-4) unstable; urgency=medium

  * debian/control:
    - Revert temporary dependency additions for #793517.
    - Standards-Version: 3.9.6.  (Already compliant.)
  * debian/copyright: Factor out SGI-OpenGL license text.
  * debian/fix-fltk-targets-noconfig: New script, to make
    FLTK-Targets-noconfig.cmake fully sane.
  * debian/rules:
    - Use fix-fltk-targets-noconfig, as the previous inline
      logic proved insufficient.  (Closes: #793517.)
    - Set DEB_HOST_MULTIARCH more efficiently (via :=).

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 17 Aug 2015 14:22:08 -0400

fltk1.3 (1.3.3-3) unstable; urgency=medium

  * CMake/FLTKConfig.cmake.in: Include UseFLTK.cmake, which is responsible for
    defining FLTK_FLUID_EXECUTABLE.  (Works around cmake-data bug #793549.)
  * debian/control (libfltk1.3-dev): Temporarily upgrade all recommendations
    and suggestions other than fltk1.3-doc to full dependencies, because cmake
    may well try to link against all of them.  (See fgrun bug #793517.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 07 Aug 2015 18:12:49 -0400

fltk1.3 (1.3.3-2) unstable; urgency=medium

  * debian/rules: When postprocessing FLTK-Targets-noconfig.cmake, make
    sure it cites libfltk*.so rather than libfltk*.so.1.3.x, which the
    traditional build system doesn't produce.  (Closes: #792386.)
  * debian/*.symbols*: Split symbols (inline destructors) that GCC 5
    doesn't emit into *.symbols.no-gcc5, included as optional.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 15 Jul 2015 01:24:19 -0400

fltk1.3 (1.3.3-1) unstable; urgency=medium

  * New upstream release.  (Closes: #791346.)
  * debian/*.cmake(.in): Stop trying to maintain.
  * debian/*.symbols: Update for 1.3.3.  FTR, some symbols have vanished,
    but all turned out to be inline, internal, private, or some
    combination, so their disappearance should be no problem in practice.
  * debian/control:
    - Build-Depends: cmake.
    - Vcs-*: Modernize; cite anonscm.d.o and cgit.
  * debian/copyright: Update years and list of primary developers.
  * debian/libfltk1.3-dev.install: No more (usr/include/)FL/Xutf8.h.
  * debian/rules:
    - Clean up new generated file documentation/doxygen_sqlite3.db.
    - Run cmake within a temporary directory to generate
      /usr/lib/fltk/*.cmake (modulo formal multiarch adjustments).
    - Link with -Wl,--as-needed to avoid the need to trim library lists
      explicitly.
    - Stop trimming CAIROLIBS.
  * Revert upstream changes (mostly to library lists) that have become
    superfluous; this package now has no changes to actual C++ files, and
    only a few to other files.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 11 Jul 2015 23:57:23 -0400

fltk1.3 (1.3.2-6) unstable; urgency=medium

  * debian/*.symbols*: Move previously mandatory symbols Clang 3.4
    doesn't emit to debian/*.symbols.no-clang.
  * documentation/src/fltk-book.tex: Update for current Doxygen and
    TeXLive versions, to avoid "Undefined control sequence" errors and a
    missing /usr/share/doc/fltk1.3-doc/fltk.pdf.gz.
  * fluid/Fl_Type.h: Give ::make_type_browser a non-friend declaration
    because it has a default argument.  (Closes: #755229.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 24 Jul 2014 00:29:30 -0400

fltk1.3 (1.3.2-5) unstable; urgency=medium

  * debian/*.symbols*: Move the few symbols GCC 4.9 doesn't emit into
    libfltk1.3.symbols.no-gcc49 and libfltk-gl1.3.symbols.no-gcc49,
    included as optional.  FWIW, half of them were already optional
    because Clang doesn't emit them either.  (Closes: #746845.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 13 May 2014 22:19:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,34 @@
 Source: fltk1.3
 Section: libs
 Priority: optional
-Maintainer: Xes <xes.maemo@gmail.com>
-Build-Depends: debhelper, dpkg-dev, pkg-config, g++, imagemagick, libxinerama-dev, libasound2-dev [linux-any], libcairo2-dev, libjpeg62-dev, libpng12-dev, libx11-dev, libxext-dev, libxft-dev, libgl1-mesa-dev, libglu1-mesa-dev, zlib1g-dev
-Standards-Version: 3.9.4
+Maintainer: Aaron M. Ucko <ucko@debian.org>
+Build-Depends: debhelper (>= 9),
+               g++ (>= 4:4.6),
+               libcairo2-dev,
+               libgl1-mesa-dev | libgl-dev,
+               libglu1-mesa-dev | libglu-dev,
+               libjpeg-dev,
+               libpng-dev,
+               libx11-dev,
+               libxext-dev,
+               libxft-dev,
+               libxinerama-dev,
+               pkg-config,
+               zlib1g-dev | libz-dev
+Build-Depends-Arch: cmake,
+                    libasound2-dev [linux-any]
+Build-Depends-Indep: doxygen-latex, texlive-font-utils
+Standards-Version: 3.9.6
 Homepage: http://www.fltk.org/
-Vcs-Git: git://git.debian.org/users/ucko/fltk1.3.git
-Vcs-Browser: http://git.debian.org/?p=users/ucko/fltk1.3.git;a=summary
+Vcs-Git: git://anonscm.debian.org/users/ucko/fltk1.3.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/ucko/fltk1.3.git/
 
 Package: fluid
 Section: devel
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: fltk1.3-doc, libfltk1.3-dev
+Multi-Arch: foreign
 Description: Fast Light Toolkit - user interface designer
  This package provides Fluid, an interactive GUI designer for FLTK,
  allowing graphical development of FLTK-based user
@@ -26,9 +42,22 @@
 Package: libfltk1.3-dev
 Section: libdevel
 Architecture: any
-Depends: libfltk-cairo1.3 (= ${binary:Version}), libfltk-forms1.3 (= ${binary:Version}), libfltk-gl1.3 (= ${binary:Version}), libfltk-images1.3 (= ${binary:Version}), libfltk1.3 (= ${binary:Version}), libx11-dev, ${misc:Depends}
-Recommends: fluid, libgl1-mesa-dev, libglu1-mesa-dev
-Suggests: fltk1.3-doc, libcairo2-dev, libjpeg-dev, libpng-dev, libxext-dev, libxft-dev, libxinerama-dev, zlib1g-dev
+Depends: libfltk-cairo1.3 (= ${binary:Version}),
+         libfltk-forms1.3 (= ${binary:Version}),
+         libfltk-gl1.3 (= ${binary:Version}),
+         libfltk-images1.3 (= ${binary:Version}),
+         libfltk1.3 (= ${binary:Version}),
+         libx11-dev,
+         ${misc:Depends}
+Recommends: fluid, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
+Suggests: fltk1.3-doc,
+          libcairo2-dev,
+          libjpeg-dev,
+          libpng-dev,
+          libxext-dev,
+          libxft-dev,
+          libxinerama-dev,
+          zlib1g-dev | libz-dev
 Provides: libfltk-dev
 Conflicts: libfltk-dev
 Replaces: libfltk-dev
@@ -43,6 +72,7 @@
 Section: libdevel
 Architecture: all
 Depends: libfltk1.3-dev, ${misc:Depends}
+Multi-Arch: foreign
 Description: Fast Light Toolkit - compatibility header symlinks
  This package provides header symlinks with .h rather than .H extensions for
  compatibility with some older code that relies on the lowercase-h names.
@@ -51,6 +81,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Fast Light Toolkit - main shared library
  This package contains the files necessary for running programs
  dynamically linked with FLTK.
@@ -62,6 +93,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Fast Light Toolkit - Cairo rendering layer support
  This package contains the files necessary for running programs
  dynamically linked with FLTK's Cairo rendering layer bindings.
@@ -73,6 +105,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Fast Light Toolkit - Forms compatibility layer support
  This package contains the files necessary for running programs
  dynamically linked with FLTK's Forms compatibility layer.
@@ -84,6 +117,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Fast Light Toolkit - OpenGL rendering support
  This package contains the files necessary for running programs
  dynamically linked with FLTK's OpenGL rendering bindings.
@@ -95,6 +129,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libfltk1.3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Fast Light Toolkit - image loading support
  This package contains the files necessary for running programs
  dynamically linked with FLTK's bindings to image-loading libraries.
@@ -122,6 +157,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Fast Light Toolkit - documentation
  This package provides documentation for FLTK, including a chapter on
  its user interface designer (fluid).
@@ -135,6 +171,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: fltk1.1-games
 Replaces: fltk1.1-games
+Multi-Arch: foreign
 Description: Fast Light Toolkit - example games: checkers, sudoku
  This package contains the example games that accompany FLTK.
  Specifically, it contains the following two programs:
@@ -144,4 +181,3 @@
  .
  The Fast Light Toolkit (FLTK) is a cross-platform graphical user interface
  toolkit originally based on libForms.
-

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS

XCFLAGS = -Wall -Wunused -Wno-format-y2k -fPIE -fno-strict-aliasing

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
libdir = /usr/lib/$(DEB_HOST_MULTIARCH)

export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_auto_clean:
	mv fltk.spec fltk.spec.saved
	dh_auto_clean
	mv fltk.spec.saved fltk.spec

override_dh_clean:
	rm -rf CMakeTmp
	dh_clean documentation/doxygen_sqlite3.db fltk-config.unhardened \
	    common-build-stamp
	chmod +x debian/fix-fltk-targets-noconfig

override_dh_auto_configure:
	mv fltk.spec fltk.spec.saved
ifneq "" "$(filter libfltk1.3-dev, $(shell dh_listpackages))"
	mkdir CMakeTmp
	cd CMakeTmp  &&  cmake -DCC:STRING="$(CC)" -DCXX:STRING="$(CXX)" \
	    -DCMAKE_INSTALL_PREFIX:STRING=/usr -DOPTION_CAIRO:BOOL=ON \
	    -DOPTION_BUILD_SHARED_LIBS:BOOL=ON -DOPTION_CREATE_LINKS:BOOL=ON \
	    -DOPTION_BUILD_EXAMPLES:BOOL=OFF ..
	sed -e 's/ STATIC /_STATIC&/' \
	    CMakeTmp/CMakeFiles/Export/lib/fltk/FLTK-Targets.cmake \
	    > CMakeTmp/etc/FLTK-Targets.cmake
	debian/fix-fltk-targets-noconfig \
	    CMakeTmp/CMakeFiles/Export/lib/fltk/FLTK-Targets-noconfig.cmake \
	    > CMakeTmp/etc/FLTK-Targets-noconfig.cmake
	dh_auto_configure -- CC="$(CC)" CXX="$(CXX)" \
	    --enable-shared --enable-cairo --enable-cp936 --libdir=$(libdir) \
	    $(shell DEB_BUILD_MAINT_OPTIONS=hardening=-all \
	        dpkg-buildflags --export=configure)
	mv fltk-config fltk-config.unhardened
endif
	dh_auto_configure -- CC="$(CC)" CXX="$(CXX)" \
            DSOFLAGS="$(filter-out -fPIE -pie,$(LDFLAGS))" \
	    --enable-shared --enable-cairo --enable-cp936 --with-links \
	    --libdir=$(libdir)
	mv fltk.spec.saved fltk.spec

common-build-stamp:
	dh_auto_build -- OPTIM="$(CFLAGS) $(XCFLAGS)" STRIP=@:
	touch $@

override_dh_auto_build-arch: common-build-stamp
	cp -f fltk-config.unhardened fltk-config

override_dh_auto_build-indep: common-build-stamp
	$(MAKE) -C documentation html pdf

override_dh_auto_install-arch:
	dh_auto_install -a
	mkdir -p debian/tmp/usr/games
	mkdir -p debian/tmp/usr/lib/fltk
	mkdir -p debian/tmp/usr/share/applications
	mkdir -p debian/tmp/usr/share/icons/hicolor/32x32/apps
	mkdir -p debian/tmp/usr/share/icons/hicolor/128x128/apps
	mkdir -p debian/tmp/usr/share/man/man6
	mkdir -p debian/tmp/usr/share/pixmaps
## fltk1.3-games (installed by hand to be able to add fl prefixes.)
	for game in blocks checkers sudoku; do \
	    cp test/$$game debian/tmp/usr/games/fl$$game && \
	    sed -e 's,Exec=,&/usr/games/fl,; s,Icon=,&fl,; s,Name=,&FLTK ,' \
	      test/desktop/$$game.desktop \
	      >debian/tmp/usr/share/applications/fl$$game.desktop && \
	    cp test/desktop/$$game-32.png \
	      debian/tmp/usr/share/icons/hicolor/32x32/apps/fl$$game.png && \
	    cp test/desktop/$$game-128.png \
	      debian/tmp/usr/share/icons/hicolor/128x128/apps/fl$$game.png && \
	    sed -e '1s,^\.TH ,&fl,; 3s,^,fl,' documentation/src/$$game.man \
	      >debian/tmp/usr/share/man/man6/fl$$game.6 \
	    || exit 1; \
	done
## fluid
	$(MAKE) -C fluid install-linux DESTDIR=$(CURDIR)/debian/tmp
## libfltk1.3-dev
	cp debian/CMakeCache.txt CMakeTmp/etc/*.cmake debian/tmp/usr/lib/fltk

override_dh_auto_install-indep:
	dh_auto_install -i -- DIRS=test
	mkdir -p debian/tmp/usr/share/doc/fltk1.3-doc
	cp documentation/latex/refman.pdf \
	    debian/tmp/usr/share/doc/fltk1.3-doc/fltk.pdf

override_dh_installdocs:
	dh_installdocs -A CREDITS README

override_dh_makeshlibs:
	dh_makeshlibs  -V

override_dh_strip:
	dh_strip       --dbg-package=libfltk1.3-dbg

=== debian/watch ===
version=3
opts="downloadurlmangle=s|.*FILE=|ftp://ftp.easysw.com/pub/|,uversionmangle=s|rc|~rc|;s|\.x-|~|" \
http://www.fltk.org/software.php .*/fltk-(1\.3\.\d?)-source?\.tar\.gz
